Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.apache.log4j.lf5.viewer.categoryexplorer.CategoryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class CategoryNode

extends javax.swing.tree.DefaultMutableTreeNode

CategoryNode

Author:
  Michael J. Sikorsky, Robert Shaw
See Also:
  Serialized Form

Field Summary
`protected boolean` | `_hasFatalChildren`
`protected boolean` | `_hasFatalRecords`
`protected int` | `_numberOfContainedRecords`
`protected int` | `_numberOfRecordsFromChildren`
`protected boolean` | `_selected`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`CategoryNode(java.lang.String title)`

Method Summary
`void` | `addRecord()`
`protected void` | `addRecordFromChild()` Passes up the addition from child to parent
`protected void` | `addRecordToParent()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getNumberOfContainedRecords()`
`protected int` | `getNumberOfRecordsFromChildren()`
`java.lang.String` | `getTitle()`
`protected int` | `getTotalNumberOfRecords()`
`boolean` | `hasFatalChildren()`
`boolean` | `hasFatalRecords()`
`int` | `hashCode()`
`boolean` | `isSelected()`
`void` | `resetNumberOfContainedRecords()`
`void` | `setAllDescendantsDeSelected()` Deprecated.
`void` | `setAllDescendantsSelected()` Deprecated.
`void` | `setHasFatalChildren(boolean flag)`
`void` | `setHasFatalRecords(boolean flag)`
`void` | `setSelected(boolean s)`
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _selected

    protected boolean _selected

### _numberOfContainedRecords

    protected int _numberOfContainedRecords

### _numberOfRecordsFromChildren

    protected int _numberOfRecordsFromChildren

### _hasFatalChildren

    protected boolean _hasFatalChildren

### _hasFatalRecords

    protected boolean _hasFatalRecords

Constructor Detail

### CategoryNode

    public CategoryNode(java.lang.String title)

Method Detail

### getTitle

    public java.lang.String getTitle()

### setSelected

    public void setSelected(boolean s)

### isSelected

    public boolean isSelected()

### setAllDescendantsSelected

    public void setAllDescendantsSelected()

  Deprecated.

### setAllDescendantsDeSelected

    public void setAllDescendantsDeSelected()

  Deprecated.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### addRecord

    public void addRecord()

### getNumberOfContainedRecords

    public int getNumberOfContainedRecords()

### resetNumberOfContainedRecords

    public void resetNumberOfContainedRecords()

### hasFatalRecords

    public boolean hasFatalRecords()

### hasFatalChildren

    public boolean hasFatalChildren()

### setHasFatalRecords

    public void setHasFatalRecords(boolean flag)

### setHasFatalChildren

    public void setHasFatalChildren(boolean flag)

### getTotalNumberOfRecords

    protected int getTotalNumberOfRecords()

### addRecordFromChild

    protected void addRecordFromChild()

  Passes up the addition from child to parent

### getNumberOfRecordsFromChildren

    protected int getNumberOfRecordsFromChildren()

### addRecordToParent

    protected void addRecordToParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.